Bug 727833

Summary: "Copy previous translations:True" is ambiguous
Product: [Fedora] Fedora Reporter: Joshua Wulf <jwulf>
Component: zanata-python-clientAssignee: Ding-Yi Chen <dchen>
Status: CLOSED ERRATA QA Contact: Ding-Yi Chen <dchen>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: damason, dchen, jni, lcarlon, petersen, zanata-bugs
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-20 10:55:21 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Joshua Wulf 2011-08-03 11:13:54 UTC
User-Agent:       Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/534.30 (KHTML, like Gecko) Chrome/12.0.742.124 Safari/534.30

When running "zanata po push", the client reports:

"Copy previous translations:True"

This could be interpreted as "--import-po" - in other words, it is going to reuse my local translations in my Zanata translation project.

Perhaps it could say instead:

"Reuse server translations: True"

and 

"Send local translations: [True|False]"

could be used to indicate whether or not local po file translations are being sent (--import-po).


Reproducible: Always

Comment 1 David Mason 2011-08-03 23:48:45 UTC
It may also be useful to print a message about whether local translations can overwrite server translations, so that the exact behaviour is clear.

Comment 2 Sean Flanigan 2011-09-07 04:33:22 UTC
Assigning to Scrum product owner for prioritisation.

Comment 3 Fedora Update System 2012-08-07 07:00:43 UTC
zanata-python-client-1.3.11-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.11-1.el6

Comment 4 Fedora Update System 2012-08-07 07:00:57 UTC
zanata-python-client-1.3.11-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.11-1.fc17

Comment 5 Fedora Update System 2012-08-07 07:01:08 UTC
zanata-python-client-1.3.11-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.11-1.el5

Comment 6 Fedora Update System 2012-08-07 07:01:18 UTC
zanata-python-client-1.3.11-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.11-1.fc16

Comment 7 Fedora Update System 2012-08-08 18:28:56 UTC
Package zanata-python-client-1.3.11-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing zanata-python-client-1.3.11-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-6624/zanata-python-client-1.3.11-1.el5
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2012-08-20 10:55:21 UTC
zanata-python-client-1.3.11-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2012-08-20 10:55:42 UTC
zanata-python-client-1.3.11-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2012-08-27 17:00:38 UTC
zanata-python-client-1.3.11-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2012-08-27 17:03:45 UTC
zanata-python-client-1.3.11-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.